#include<iostream>
using namespace std;
int main(){
	int t;
	cin>>t;
	long long n,m,k,g,o;
	for(int x=0;x<t;x++){
		cin>>n>>m>>k;
		g=n/k;
		o=n%k;
		if((k*(0.5*g*(g+1))+(g+1)*o)<=m) cout<<"Tak";
		else cout<<"Nie";
	}
	return 0;
}